BPM(1)

NAME
bpm-tools - calculate the tempo of music files

SYNOPSIS
bpm-tag [options] file

bpm-graph file

bpm [options] < file.raw

DESCRIPTION

The bpm-tools commands are used to automatically calculate the tempo (in beats-per-minute) of music, optionally displaying an analysis and adding it to file 'tags'. The data from these tags can be especially useful for navigating a music library in DJ software such as xwax(1).

The bpm command implements the algorithm on raw data, but the most commonly used command is bpm-tag.

OPTIONS

Options are described by the commands themselves. Use one of the following for more information:

    bpm-tag -h

    bpm-graph -h

    bpm -h

EXAMPLES

Tag a file with its tempo:

    bpm-tag "Daft Punk - Get Lucky.mp3"

Calculate and display the tempo of a file without modifying it:

    bpm-tag -f -n "Gwen Guthrie - Padlock.flac"

Tag a file, with a hint to look for a fast tempo:

    bpm-tag -m 120 -x 200 "Roni Size - Brown Paper Bag.oga"

HOMEPAGE
http://www.pogo.org.uk/~mark/bpm-tools/

AUTHOR
Mark Hills <mark@xwax.org>